#
# spec file for package youtube-dl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           youtube-dl
Version:	 2018.01.27
Release:        1.1
Summary:        A tool for downloading from Youtube
License:        SUSE-Public-Domain and CC-BY-SA-3.0
Group:          Productivity/Networking/Web/Utilities
Url:            http://rg3.github.com/youtube-dl/

#Git-Clone:	git://github.com/rg3/youtube-dl

Source:         http://youtube-dl.org/downloads/%version/%name-%{version}.tar.gz
Source2:        http://youtube-dl.org/downloads/%version/%name-%{version}.tar.gz.sig
Source3:        %name.keyring

BuildRequires:  zip python python-xml
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
BuildRequires:  zsh
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
youtube-dl is a small command-line program to retrieve videos from
YouTube.com and a few more sites.

%prep
%{?gpg_verify: %gpg_verify %{SOURCE2}}
%setup -qn %name
%if 0%{?suse_version} == 1310
# make 3.82 behaves differently from 3.81 and 4.0
sed -e '/^SYSCONFDIR/cSYSCONFDIR\ ?=\ %{_sysconfdir}' \
    -e 's/!=\ \(.*\)/:=\ $(\1)/' \
    -i Makefile
%endif

%build
PREFIX=%{_prefix} MANDIR=%{_mandir} make %{?_smp_mflags}

%install
PREFIX=%{_prefix} MANDIR=%{_mandir} make DESTDIR="%buildroot" install

# openSUSE doesn't ship fish shell
rm -rf %{buildroot}/%{_sysconfdir}/fish
%if 0%{?suse_version} == 1110
rm -rf %{buildroot}/%{_datadir}/zsh
rm -rf %{buildroot}/fish
mkdir %{buildroot}/%{_sysconfdir}
mv %{buildroot}/bash_completion.d %{buildroot}%{_sysconfdir}/
%endif

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%_bindir/youtube-dl
%_mandir/man1/*
%config %_sysconfdir/bash_completion.d/
%if 0%{?suse_version} >= 1310
%{_datadir}/zsh/site-functions/_youtube-dl
%endif

%changelog
* Mon May 22 2017 aloisio@gmx.com
- First separate singlespec package for youtube-dl python module
